package com.dmytro.ponomarev.bc2onecbt;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class BCReceiver extends BroadcastReceiver {

    private String barcodeStr;

    public BCReceiver() {
    }


    @Override
    public void onReceive(Context context, Intent intent) {

        if (intent.getByteArrayExtra(BCService.BarCodeField)!=null){
            byte[] barcode = intent.getByteArrayExtra(BCService.BarCodeField);
            int lng = intent.getIntExtra("length", 0);
            this.barcodeStr = new String(barcode, 0, lng);
            if (lng > 0) {
                Intent intentFor1C = new Intent("com.google.android.c2dm.intent.RECEIVE");
                intentFor1C.putExtra("text", BCService.EventID);
                intentFor1C.putExtra("title", "1C");
                intentFor1C.putExtra("data", this.barcodeStr);
                if (BCService.BaseName != null || BCService.BaseName != "")  {
                    intentFor1C.putExtra("base", BCService.BaseName);
                }
                context.sendBroadcast(intentFor1C);
            }
        } else

        if (intent.getStringExtra("com.hht.emdk.datawedge.data_string")!=null){
            int lng = intent.getIntExtra("com.hht.emdk.datawedge.data_length", 0);
            this.barcodeStr = intent.getStringExtra("com.hht.emdk.datawedge.data_string");
            if (lng > 0) {
                Intent intentFor1C = new Intent("com.google.android.c2dm.intent.RECEIVE");
                intentFor1C.putExtra("text", BCService.EventID);
                intentFor1C.putExtra("title", "1C");
                intentFor1C.putExtra("data", this.barcodeStr);
                if (BCService.BaseName != null || BCService.BaseName != "")  {
                    intentFor1C.putExtra("base", BCService.BaseName);
                }
                context.sendBroadcast(intentFor1C);
            }
        } else

        if (intent.getAction().equals("com.cipherlab.barcodebaseapi.PASS_DATA_2_APP")){
            this.barcodeStr = intent.getStringExtra("Decoder_Data");
                Intent intentFor1C = new Intent("com.google.android.c2dm.intent.RECEIVE");
                intentFor1C.putExtra("text", BCService.EventID);
                intentFor1C.putExtra("title", "1C");
                intentFor1C.putExtra("data", this.barcodeStr);
                if (BCService.BaseName != null || BCService.BaseName != "")  {
                    intentFor1C.putExtra("base", BCService.BaseName);
                }
                context.sendBroadcast(intentFor1C);
        }

    }
}
