package com.dmytro.ponomarev.bc2onecbt;

import android.app.Service;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.IBinder;

public class BCService extends Service {
    private static String SCAN_MESSAGE;
    public static String EventID;
    public static String BaseName;
    public static String BarCodeField;


    public  boolean isStarted;

    public BCService() {
        isStarted = false;
    }

    @Override
    public void onCreate() {
        super.onCreate();
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {

        SCAN_MESSAGE = intent.getStringExtra("ServiceSCAN_MESSAGE");
        EventID = intent.getStringExtra("ServiceEventID");
        BaseName = intent.getStringExtra("ServiceBase_Name");
        BarCodeField = intent.getStringExtra("ServiceBarCodeField");

        registerReceiver(new BCReceiver(), new IntentFilter(SCAN_MESSAGE));
        isStarted = true;

        return super.onStartCommand(intent, flags, startId);
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        isStarted = false;
    }

    @Override
    public IBinder onBind(Intent intent) {
        return null;
    }
}
