package com.dmytro.ponomarev.bc2onecbt;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        Intent iFrom1C = getIntent();

        if (iFrom1C.getStringExtra("ServiceState") == null){
            finish();
            return;
        }

        if (iFrom1C.getStringExtra("ServiceState").equalsIgnoreCase("start")){
            Intent i = new Intent(this,com.dmytro.ponomarev.bc2onecbt.BCService.class);

            String SCAN_MESSAGE;
            String EventID = "1";
            String Base_Name = "";
            String BarCodeField = "barocode";


            if (iFrom1C.getStringExtra("ServiceSCAN_MESSAGE")==null){
                Toast.makeText(this,"Scan message not defined!",Toast.LENGTH_SHORT).show();
                finish();
                return;
            }else {
                SCAN_MESSAGE = iFrom1C.getStringExtra("ServiceSCAN_MESSAGE");
            }

            if (iFrom1C.getStringExtra("ServiceEventID")!=null){
                EventID = iFrom1C.getStringExtra("ServiceEventID");
            }
            if (iFrom1C.getStringExtra("ServiceBase_Name")!=null){
                Base_Name = iFrom1C.getStringExtra("ServiceBase_Name");
            }

            if (iFrom1C.getStringExtra("ServiceBarCodeField")!=null){
                BarCodeField = iFrom1C.getStringExtra("ServiceBarCodeField");
            }


            i.putExtra("ServiceSCAN_MESSAGE",SCAN_MESSAGE);
            i.putExtra("ServiceEventID",EventID);
            i.putExtra("ServiceBase_Name",Base_Name);
            i.putExtra("ServiceBarCodeField",BarCodeField);
            i.setPackage(this.getPackageName());
            startService(i);

            if (iFrom1C.getStringExtra("ServiceToast")!=null){
                Toast.makeText(this,iFrom1C.getStringExtra("ServiceToast").toString(),Toast.LENGTH_SHORT).show();
            }

            setResult(77);
        }

        if (iFrom1C.getStringExtra("ServiceState").equalsIgnoreCase("stop")){
            Intent i = new Intent(this,com.dmytro.ponomarev.bc2onecbt.BCService.class);
            i.setPackage(this.getPackageName());
            stopService(i);
            if (iFrom1C.getStringExtra("ServiceToast")!=null){
                Toast.makeText(this,iFrom1C.getStringExtra("ServiceToast").toString(),Toast.LENGTH_SHORT).show();
            }
            setResult(77);
        }

        finish();
    }
}
